flstdc.h File Reference

Definitions to unite Max/MSP and PD notions. More...

`#include <cassert>`
`#include "flpushns.h"`
`#include "flpopns.h"`

Go to the source code of this file.

## Macros

#define | FLEXT_LOG(s)
#define | FLEXT_LOG1(s, v1)
#define | FLEXT_LOG2(s, v1, v2)
#define | FLEXT_LOG3(s, v1, v2, v3)
#define | FLEXT_LOG4(s, v1, v2, v3, v4)
#define | FLEXT_LOG5(s, v1, v2, v3, v4, v5)
#define | FLEXT_LOG6(s, v1, v2, v3, v4, v5, v6)
#define | FLEXT_LOG7(s, v1, v2, v3, v4, v5, v6, v7)
#define | FLEXT_LOG8(s, v1, v2, v3, v4, v5, v6, v7, v8)
#define | FLEXT_LOG9(s, v1, v2, v3, v4, v5, v6, v7, v8, v9)
#define | FLEXT_UNUSED(x)
#define | FLEXT_ASSERT(b)
#define | FLEXT_WARN(str)
#define | FLEXT_ERROR(str)
#define | ERRINTERNAL()
#define | FLEXT_NOATTREDIT
#define | FLEXT_QMODE 0

## Typedefs

typedef t_symbol * | t_symptr

## Detailed Description

Definitions to unite Max/MSP and PD notions.

This file contains a few definitions to unite a few of the notions that once drifted apart in Max and PD. It is not elegant but helps.

## Macro Definition Documentation

## ERRINTERNAL

#define ERRINTERNAL | ( |  | ) |

Value:
internal_error("flext: Internal error in file " __FILE__ ", line %i - please report",(int)__LINE__)

## FLEXT_ASSERT

#define FLEXT_ASSERT | ( |  | b | ) |

Value:
FLEXT_UNUSED(b)
FLEXT_UNUSED
#define FLEXT_UNUSED(x)
Definition flstdc.h:302

## FLEXT_ERROR

#define FLEXT_ERROR | ( |  | str | ) |

Value:
internal_error("Error: in " __FILE__ " line %i",(int)__LINE__)

## FLEXT_LOG

#define FLEXT_LOG | ( |  | s | ) |

Value:
((void)0)

## FLEXT_LOG1

#define FLEXT_LOG1 | ( |  | s,
|  |  | v1 )

Value:
((void)0)

## FLEXT_LOG2

#define FLEXT_LOG2 | ( |  | s,
|  |  | v1,
|  |  | v2 )

Value:
((void)0)

## FLEXT_LOG3

#define FLEXT_LOG3 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3 )

Value:
((void)0)

## FLEXT_LOG4

#define FLEXT_LOG4 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4 )

Value:
((void)0)

## FLEXT_LOG5

#define FLEXT_LOG5 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4,
|  |  | v5 )

Value:
((void)0)

## FLEXT_LOG6

#define FLEXT_LOG6 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4,
|  |  | v5,
|  |  | v6 )

Value:
((void)0)

## FLEXT_LOG7

#define FLEXT_LOG7 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4,
|  |  | v5,
|  |  | v6,
|  |  | v7 )

Value:
((void)0)

## FLEXT_LOG8

#define FLEXT_LOG8 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4,
|  |  | v5,
|  |  | v6,
|  |  | v7,
|  |  | v8 )

Value:
((void)0)

## FLEXT_LOG9

#define FLEXT_LOG9 | ( |  | s,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | v4,
|  |  | v5,
|  |  | v6,
|  |  | v7,
|  |  | v8,
|  |  | v9 )

Value:
((void)0)

## FLEXT_NOATTREDIT

#define FLEXT_NOATTREDIT

## FLEXT_QMODE

#define FLEXT_QMODE 0

## FLEXT_UNUSED

#define FLEXT_UNUSED | ( |  | x | ) |

Value:
(void)(x)

## FLEXT_WARN

#define FLEXT_WARN | ( |  | str | ) |

Value:
FLEXT_UNUSED(str)

## Typedef Documentation

## t_symptr

typedef t_symbol* t_symptr